import type { NobjcObject } from "objc-js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSUUID } from "../Foundation/NSUUID.js";
export declare class _CBUUID extends _NSObject {
    static alloc(): _CBUUID;
    static new(): _CBUUID;
    init(): _CBUUID;
    /**
     * @method UUIDWithString: @discussion Creates a CBUUID with a 16-bit, 32-bit, or 128-bit UUID string representation. The expected format for 128-bit UUIDs is a string punctuated by hyphens, for example 68753A44-4D6F-1226-9C60-0050E4C00067.
     */
    static UUIDWithString$(theString: _NSString): _CBUUID;
    /**
     * @method UUIDWithData: @discussion Creates a CBUUID with a 16-bit, 32-bit, or 128-bit UUID data container.
     */
    static UUIDWithData$(theData: _NSData): _CBUUID;
    /**
     * @method UUIDWithCFUUID: @discussion Creates a CBUUID with a CFUUIDRef.
     * @deprecated
     */
    static UUIDWithCFUUID$(theUUID: NobjcObject): _CBUUID;
    /** @method UUIDWithNSUUID: @discussion Creates a CBUUID with an NSUUID. */
    static UUIDWithNSUUID$(theUUID: _NSUUID): _CBUUID;
    /** @property data @discussion The UUID as NSData. */
    data(): _NSData;
    /** @property UUIDString @discussion The UUID as NSString. */
    UUIDString(): _NSString;
}
export interface _CBUUID extends _NSCopying {
}
